# Sistem Perpustakaan SMP Negeri 167 Jakarta

Ini adalah sebuah repositori untuk menyimpan kode sumber Sistem Perpustakaan SMP Negeri 167 Jakarta. Sistem ini dibuat dengan menggunakan bahasa pemrograman PHP, framework Laravel, dan database MySQL.

## Cara

### Pengembangan

1. Siapkan database server (misalnya MySQL), [Node.js](https://), [Composer](https://getcomposer.org/).
2. Jalankan perintah `composer install`.
3. Jalankan perintah `npm install`.
4. Buat file `.env` dengan menyalin isi file `.env.example`.
5. Buat database baru di MySQL (disarankan `perpustakaan-167`).
6. Isi konfigurasi database di file `.env`.
7. Jalankan perintah `php artisan key:generate`.
8. Jalankan perintah `php artisan migrate`.
9. Jalankan perintah `php artisan db:seed`.
10. Jalankan perintah `npm run dev`.
11. Jalankan perintah `php artisan serve`.
12. Buka aplikasi di browser dengan alamat `http://localhost:8000`.

### Produksi

1. Siapkan web server (misalnya Apache), database server (misalnya MySQL), [Node.js](https://), [Composer](https://getcomposer.org/).
2. Jalankan perintah `composer install --optimize-autoloader --no-dev`.
3. Jalankan perintah `npm install`.
4. Buat file `.env` dengan menyalin isi file `.env.example`.
5. Buat database baru di MySQL (disarankan `perpustakaan-167`).
6. Isi konfigurasi database di file `.env`.
7. Jalankan perintah `php artisan key:generate`.
8. Jalankan perintah `php artisan migrate`.
9. Jalankan perintah `php artisan db:seed`.
10. Jalankan perintah `npm run build`.
11. Pindahkan seluruh repositori ke web server.
12. Buka aplikasi di browser (contohnya `http://localhost/perpustakaan-167`).

## Lisensi

Hak cipta (c) 2023 Tim 2 3SI3, Rekayasa Perangkat Lunak 2023, Politeknik Statistika STIS

Sistem ini dilisensikan di bawah Perjanjian Lisensi Sistem Perpustakaan SMP Negeri 167 Jakarta.
