<?php

namespace App\Http\Controllers;

use App\Models\Koleksi;
use App\Models\Kunjungan;
use App\Models\Peminjaman;
use App\Models\Siswa;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class DashboardController extends Controller
{
    public function pustakawan()
    {
        $lastSevenDays = Carbon::now();
        $datesInRange = [];

        // Create an array of dates within the last seven days
        for ($i = 0; $i < 7; $i++) {
            $datesInRange[] = $lastSevenDays->copy()->subDays($i)->format('Y-m-d');
        }

        $datesInRange = array_reverse($datesInRange);

        $kunjunganCounts = [];

        // Loop through each date and get the count
        foreach ($datesInRange as $date) {
            $count = Kunjungan::whereDate('tanggal', $date)->count();

            $kunjunganCounts[] = [
                'x' => $date,
                'y' => $count,
            ];
        }

        $data = [
            'siswaCount' => Siswa::count(),
            'koleksiCount' => Koleksi::count(),
            'kunjunganCount' => $kunjunganCounts,
        ];

        return view('dashboard.pustakawan')->with($data);
    }

    public function siswa()
    {
        $data = [
            'peminjamanCount' => Peminjaman::where('nisn', Auth::user()->siswa->nisn)
                                            ->where('tanggal_pengembalian', '!=', null)
                                            ->count(),
            'kunjunganCount' => Kunjungan::where('nisn', Auth::user()->siswa->nisn)->count(),
        ];

        return view('dashboard.siswa')->with($data);
    }
}
