<?php

namespace App\Http\Controllers;

use App\Models\Koleksi;
use App\Models\Kunjungan;
use App\Models\Peminjaman;
use App\Models\Siswa;
use Illuminate\Http\Request;
use Barryvdh\DomPDF\Facade\Pdf;

class LaporanController extends Controller
{
    public function index()
    {
        return view('laporan.index');
    }

    public function migrasi(Request $request)
    {
        // Start with the base query
        $query = Siswa::query();

        // Get the parameters from the request
        $tingkat = $request->input('tingkat');
        $kelas = $request->input('kelas');

        // Check if 'tingkat' parameter is provided
        if ($tingkat) {
            $query->where('tingkat', $tingkat);
        }

        // Check if 'kelas' parameter is provided
        if ($kelas) {
            $query->where('kelas', $kelas);
        }

        // Execute the query and get the results
        $siswa = $query->orderBy('tingkat')->orderBy('kelas')->orderBy('nama')->get();

        // Pass the results to the view
        return view('laporan.akun.migrate', ['siswa' => $siswa]);
    }

    public function lihatLaporanKoleksi()
    {
        $koleksi = Koleksi::all();
        return view('laporan.koleksi.lihat', ['koleksi' => $koleksi]);
    }

    public function lihatLaporanKunjungan(Request $request)
    {
        $startDate = $request->input('start_date');
        $endDate = $request->input('end_date');

        $kunjungan = Kunjungan::whereBetween('tanggal', [$startDate, $endDate])->get();
        return view('laporan.kunjungan.lihat', ['kunjungan' => $kunjungan]);
    }

    public function lihatLaporanPeminjaman(Request $request)
    {
        $startDate = $request->input('start_date');
        $endDate = $request->input('end_date');

        $peminjaman = Peminjaman::whereBetween('tanggal_peminjaman', [$startDate, $endDate])
            ->orWhereBetween('tanggal_pengembalian', [$startDate, $endDate])
            ->orderBy('tanggal_peminjaman', 'asc')
            ->get();

        // $peminjaman = Peminjaman::orderBy('tanggal_peminjaman', 'asc')->get();
        return view('laporan.peminjaman.lihat', ['peminjaman' => $peminjaman]);
    }

    public function lihatLaporanAkun(Request $request)
    {
        // Start with the base query
        $query = Siswa::query();

        // Get the parameters from the request
        $tingkat = $request->input('tingkat');
        $kelas = $request->input('kelas');

        // Check if 'tingkat' parameter is provided
        if ($tingkat) {
            $query->where('tingkat', $tingkat);
        }

        // Check if 'kelas' parameter is provided
        if ($kelas) {
            $query->where('kelas', $kelas);
        }

        // Additional sorting or conditions can be added here

        // Execute the query and get the results
        $siswa = $query->orderBy('tingkat')->orderBy('kelas')->orderBy('nama')->get();

        // Pass the results to the view
        return view('laporan.akun.lihat', ['siswa' => $siswa]);
    }
}
