<?php

namespace App\Http\Controllers;

use App\Models\Saran;
use Illuminate\Http\Request;

class SaranController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        return view('saran.index');
    }

    public function pustakawan()
    {
        $this->authorize('isAdmin', auth()->user());
        $saranList = Saran::latest()->get(); // Retrieve sarans sorted by the most recent
        return view('saran.pustakawan', ['saranList' => $saranList]);
    }



    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        // Validate the incoming request
        $request->validate([
            'pesan' => 'required|string|max:255', // Add any additional validation rules as needed
        ]);

        // Create a new Saran instance and fill it with the validated data
        $saran = Saran::create([
            'saran' => $request->input('pesan'),
        ]);

        // Redirect with a success message
        return redirect()->route('siswa.saran.index')->with('success', 'Terima kasih atas kritik dan saran Anda!');
    }

        /**
     * Display the specified resource.
     */
    public function show(Saran $saran)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Saran $saran)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Saran $saran)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Saran $saran)
    {
        $this->authorize('isAdmin', auth()->user());
        $saran->delete();

        return redirect()->route('pustakawan.saran.index')
            ->with('success', 'Saran has been deleted successfully.');
    }
}
