<?php

namespace App\Http\Middleware;

use Illuminate\Auth\Middleware\Authenticate as Middleware;
use Illuminate\Http\Request;
use Closure;

class AdminAuthenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     */
    protected function redirectTo(Request $request): ?string
    {
        return $request->user()->isAdmin() ? null : route('login');
    }

    public function handle($request, Closure $next, ...$guards)
    {
        // Check if the user is authenticated and is an admin
        if ($request->user() && $request->user()->is_admin) {
            return $next($request);
        }

        // If not, redirect to the login page
        return redirect()->route('login');
    }
}
