<?php

namespace App\Imports;

use App\Models\Koleksi;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;


class KoleksiImport implements ToCollection
{
    /**
     * @param Collection $collection
     */
    public function collection(Collection $rows)
    {

        if (
            $rows[0][0] !== 'kode' ||
            $rows[0][1] !== 'jenis' ||
            $rows[0][2] !== 'judul' ||
            $rows[0][3] !== 'jumlah_buku' ||
            $rows[0][4] !== 'penerbit' ||
            $rows[0][5] !== 'tahun_terbit' ||
            $rows[0][6] !== 'pengarang'
        ) {
            return;
        }

        foreach ($rows as $index => $row) {
            if ($row->filter(function ($value) {
                return $value !== null;
            })->isEmpty()) {
                continue;
            }

            if ($index === 0) continue;

            $koleksi = Koleksi::where('kode', $row[0])->first();

            if ($koleksi) {

                // Koleksi sudah ada, tinggal update datanya

                $koleksi = Koleksi::updateOrCreate(
                    ['kode' => $row[0]],
                    [
                        'jumlah_buku' => $koleksi->jumlah_buku + $row[3], // Add the new value to the existing value
                        'tersedia' => $koleksi->tersedia + $row[3], // Add the new value to the existing value
                    ]
                );
            } else {
                // Koleksi belum ada, buat Koleksi.
                $koleksi = Koleksi::create([
                    'kode' => $row[0]?? '-',
                    'jenis' => $row[1]?? '-',
                    'judul' => $row[2]?? '-',
                    'jumlah_buku' => $row[3] ?? '-', // Replace null with "-"
                    'tersedia' => $row[3] ?? '-', // Replace null with "-"
                    'penerbit' => $row[4] ?? '-', // Replace null with "-"
                    'tahun_terbit' => $row[5] ?? '-', // Replace null with "-"
                    'pengarang' => $row[6] ?? '-', // Replace null with "-"
                ]);
            }
        }
    }
}
