<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Kunjungan extends Model
{
    use HasFactory;

    protected $fillable = [
        'nisn',
        'tanggal',
        'keterangan'
    ];

    protected $dates = [
        'tanggal'
    ];

    protected $enum = [
        'keterangan' => ['Meminjam', 'Diskusi', 'Belajar', 'Berkunjung', 'Lainnya'],
    ];

    public $timestamps = false;

    public function siswa()
    {
        return $this->belongsTo(Siswa::class, 'nisn', 'nisn');
    }

}
