<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Peminjaman extends Model
{
    use HasFactory;

    public function siswa()
    {
        return $this->belongsTo(Siswa::class, 'nisn');
    }

    public function koleksi()
    {
        return $this->belongsTo(Koleksi::class, 'koleksi_id');
    }

    protected $table = 'peminjamans';

    protected $fillable = [
        'nisn',
        'koleksi_id',
        'tanggal_peminjaman',
        'batas_pengembalian',
        'tanggal_pengembalian',
        'keterangan',
        'status',
    ];

    protected $dates = [
        'tanggal_peminjaman',
        'batas_pengembalian',
        'tanggal_pengembalian',
        'created_at',
        'updated_at',
    ];

    protected static function boot()
    {
        parent::boot();

        self::creating(function ($model) {
            // Set default values
            $model->tanggal_pengembalian = null; // Default to null
            $model->keterangan = null; // Default to null
        });
    }
}
