<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Siswa extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'nisn',
        'nis',
        'nama',
        'tingkat',
        'kelas',
        'tempat_lahir',
        'tanggal_lahir',
        'jenis_kelamin',
        'terlambat'
    ];

    protected $casts = [
        'nisn' => 'string',
    ];

    public $timestamps = false;

    protected $primaryKey = 'nisn';

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }

    public function peminjaman(): HasMany
    {
        return $this->hasMany(Peminjaman::class, 'nisn', 'nisn');
    }

    public function kunjungan(): HasMany
    {
        return $this->hasMany(Kunjungan::class,'nisn', 'nisn');
    }

}
