<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('siswas', function (Blueprint $table) {
            $table->char('nisn', 10)->unique();
            $table->foreignId('user_id')->constrained()->cascadeOnDelete();
            $table->string('nis');
            $table->string('nama');
            $table->integer('tingkat');
            $table->char('kelas');
            $table->string('tempat_lahir');
            $table->date('tanggal_lahir')->nullable();
            $table->char('jenis_kelamin', 1);
            $table->integer('terlambat')->default(0);
            $table->timestamps();
        });

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('siswas');
    }
};
