<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('peminjamans', function (Blueprint $table) {
            $table->id();
            $table->char('nisn', 10);
            $table->foreign('nisn')->references('nisn')->on('siswas');
            $table->foreignId('koleksi_id')->constrained('koleksis')->cascadeOnDelete();
            $table->date('tanggal_peminjaman');
            $table->date('batas_pengembalian');
            $table->date('tanggal_pengembalian')->nullable();
            $table->string('keterangan')->nullable();
            $table->string('status');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('peminjaman');
    }
};
