<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Faker\Factory as FakerFactory;

class KoleksiSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $faker = FakerFactory::create();

        for ($i = 0; $i < 25; $i++) {
            $jumlahBuku = $faker->numberBetween(1, 10);

            DB::table('koleksis')->insert([
                'kode' => $faker->unique()->ean8,
                'jenis' => $faker->randomElement(['Fiksi', 'Non-Fiksi']),
                'judul' => $faker->sentence(3),
                'jumlah_buku' => $jumlahBuku,
                'tersedia' => $jumlahBuku,
                'penerbit' => $faker->company,
                'tahun_terbit' => $faker->year,
                'pengarang' => $faker->name,
                'created_at' => now(),
                'updated_at' => now(),
            ]);
        }
    }
}
