<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;
use App\Models\Kunjungan;
use App\Models\Siswa;
use Faker\Factory as FakerFactory;

class KunjunganSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $this->call(SiswaSeeder::class);

        $faker = FakerFactory::create();

        // Get all siswas
        $siswas = Siswa::all();

        for ($i = 0; $i < 100; $i++) {
            $siswa = $siswas->random(); // Randomly select a siswa

            $tanggal = $faker->date;
            $keterangan = $faker->randomElement(['meminjam', 'diskusi', 'belajar']);

            Kunjungan::create([
                'nisn' => $siswa->nisn,
                'tanggal' => $tanggal,
                'keterangan' => $keterangan,
            ]);
        }
    }
}

