<?php

namespace Database\Seeders;

use App\Models\Peminjaman;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Faker\Factory as FakerFactory;
use App\Models\Siswa;
use App\Models\Koleksi;
use Carbon\Carbon;

class PeminjamanSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run()
    {
        $faker = FakerFactory::create();

        $siswas = Siswa::all();

        foreach (range(1, 35) as $index) {
            $randomSiswa = $siswas->random();
            $koleksis = Koleksi::where('tersedia', '>', 0)->get();
            $randomKoleksi = $koleksis->random();
            $tanggal_pinjam = $faker->date();
            // $batas_pinjam = $tanggal_pinjam->addDays($faker->numberBetween(4,10));
            $tanggal_pinjam = Carbon::parse($tanggal_pinjam); // Convert to Carbon instance
            $batas_pinjam = $tanggal_pinjam->copy()->addDays($faker->numberBetween(4, 10)); // Use copy to avoid modifying the original date
            $today = today();

            if ($batas_pinjam<$today) {
                $status = 'Perlu Dikembalikan';
            } else {
                $status = 'Dipinjam';
            };

            Peminjaman::create([
                'nisn' => $randomSiswa->nisn,
                'koleksi_id' => $randomKoleksi->id,
                'tanggal_peminjaman' => $tanggal_pinjam,
                'batas_pengembalian' => $batas_pinjam,
                'status'=>$status,
            ]);

            Koleksi::where('id', $randomKoleksi->id)->decrement('tersedia');
        }
    }
}
