<?php

namespace Database\Seeders;

use App\Models\Siswa;
use Faker\Factory as FakerFactory;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;
use App\Models\User;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //akun admin dengan username admin dan password 12345678
        User::create([
            'username'=> "admin",
            'password' => Hash::make('12345678'),
            'is_admin' => true,

        ]);

        //akun siswa dengan username siswa dan password 12345678
        $user1 = User::create([
            'username'=> "siswa",
            'password' => Hash::make('12345678')
        ]);

        Siswa::create([
            'nisn' => '222111992',
            'nis' => '56789',
            'nama' => 'Dina Yanti N',
            'tingkat' => 7,
            'kelas' => 'A',
            'tempat_lahir' => 'Bali',
            'tanggal_lahir' => '2003-07-20',
            'jenis_kelamin' => 'P',
            'user_id' => $user1->id,
        ]);

        $faker = FakerFactory::create();

        for ($i = 0; $i < 20; $i++) {
            $user = User::create([
                'username'=> Str::random(10),
                'password' => Hash::make('password')
            ]);

            $nisn = '22211'.$faker->unique()->numberBetween(1993, 2999);
            $nis = Str::random(5);
            $nama = $faker->firstName . ' ' . $faker->lastName;
            $tingkat = $faker->numberBetween(7, 9);
            $kelas = $faker->randomElement(['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H']);
            $tempat_lahir = $faker->city;
            $tanggal_lahir = $faker->date;
            $jenis_kelamin = $faker->randomElement(['L', 'P']);

            Siswa::create([
                'nisn' => $nisn,
                'nis' => $nis,
                'nama' => $nama,
                'tingkat' => $tingkat,
                'kelas' => $kelas,
                'tempat_lahir' => $tempat_lahir,
                'tanggal_lahir' => $tanggal_lahir,
                'jenis_kelamin' => $jenis_kelamin,
                'user_id' => $user->id,
            ]);

        }
    }

}
