<x-layouts.no-roles>

<x-slot:head>
</x-slot:head>

<x-slot:title>Masuk</x-slot:title>

<main class="bg-cover bg-no-repeat bg-fixed overflow-auto min-h-screen flex justify-center items-center" style="background-image: url({{ asset('images/background_image.png')}});">
    <form action="{{ route('login') }}" method="post" class="w-96 p-6 shadow-lg bg-white rounded-lg">
        <h1 class="text-3xl block text-center font-heading font-extrabold text-[#0087C1]">Masuk</h1>
        <h3 class="text-md block text-center font-heading font-bold mb-4  text-[#0087C1]">Gunakan Akun Perpustakaan Anda</h3>
        <div class="flex justify-center items-center">
            <img src="{{asset('img/logo_167.png')}}" class="w-56 h-32 mb-4" alt="logo">
        </div>

        @csrf

        @if ($errors->get('password'))
        <ul {{ $attributes->merge(['class' => 'text-sm text-red-600 space-y-1']) }}>
            @foreach ((array) $errors->get('password') as $message)
                <li>{{ $message }}</li>
            @endforeach
        </ul>
        @endif

        @if ($errors->any())
            <div class="bg-red-500 text-white p-4 rounded-md mb-6">
                <ul class="list-disc list-inside">
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif

        <div class="relative mt-3 flex items-center" id="secemail;">
            <img class="w-[37px] h-[35px] mx-4" src="{{asset('img/user.png')}}" alt="">
            <x-text-input id="username" name="username" class="border bg-[#0087C1] h-[40px] w-full text-sm px-2 py-1 focus:outline-none focus:ring-0 rounded-md text-white placeholder:text-gray-300" placeholder="Username" :value="old('username')" required autofocus />
            <div class="absolute right-3">
                <i class="fa-sharp fa-solid fa-envelope text-md"></i>
            </div>
        </div>

        <div class="relative mt-3 flex items-center" id="secpass">
            <img class="w-[37px] h-[35px] mx-4" src="{{asset('img/pass.png')}}" alt="">
            <x-text-input id="password" name="password" type="password" class="border w-full text-[#FCFBFF] bg-[#0087C1] h-[40px] px-2 py-1 focus:outline-none focus:ring-0 rounded-md font-text1 text-sm placeholder:text-gray-300" placeholder="Password" required />
            <div class="absolute right-3">
                <i class="bi bi-eye-slash-fill text-md" style="color:#ffffff" id="eyeicon" onclick="toggle()"></i>
            </div>
        </div>

        <div class="mt-3 flex justify-center">
            <button type="submit" class="bg-[#0087C1] text-white py-1 px-10 rounded-full font-heading font-semibold transform transition-all hover:scale-105">Masuk</button>
        </div>
    </form>
</main>
<script>
    let state= false;
    function toggle(){
        if(state){
            document.getElementById("password").setAttribute("type","password");
            document.getElementById("eyeicon").setAttribute("class","bi bi-eye-slash-fill");
            state = false;
        } else{
            document.getElementById("password").setAttribute("type","text");
            document.getElementById("eyeicon").setAttribute("class","bi bi-eye-fill");
            state = true;
        }
    }
</script>

</x-layouts.no-roles>
