<x-layouts>
    <x-slot:head>
        <link href={{ asset("css/app.css")}} rel="stylesheet">
        {{ $head }}
	</x-slot:head>
    <x-slot:title>{{ $title }}</x-slot:title>
    <body class='flex flex-col lg:flex-row lg:overflow-hidden lg:min-h-screen h-screen'>
		<aside class='flex-0 lg:basis-[200px] lg:h-screen'>
			{{ $sidebar }}
		</aside>

        <main class="flex-1 p-4 bg-cover bg-no-repeat bg-fixed overflow-auto" style="background-image: url({{ asset('images/background_image.png') }});">
			@if (session()->has('success'))
				<div class='p-3 bg-green-200 text-green-800 rounded mb-4'>
					{{ session('success') }}
				</div>
			@endif

            @if (session()->has('error'))
                <div class="p-3 bg-red-200 text-red-800 rounded mb-4">
                    {{ session('error') }}
                </div>
            @endif

            @if ($errors->any())
                <div class="p-3 bg-red-200 text-red-800 rounded mb-4">
                    <ul class="list-disc list-inside">
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

			{{ $slot }}
		</main>
	</body>
</x-layouts>
