<x-layouts>

<x-slot:title>{{ $title }}</x-slot:title>

<x-slot:head>
</x-slot:head>

@php
    $imagePath = public_path('images/logo_100.png');
    $imageData = file_get_contents($imagePath);
    $base64 = 'data:img/svg+xml;base64,' . base64_encode($imageData);
@endphp

<body class="m-4 px-4 mx-auto max-w-7xl print:m-0 print:px-0 print:max-w-none nice-print-table">

<div class="print:hidden border p-4 rounded mb-4">

    <p class='mb-1'>Laporan berhasil dibuat! Laporan ini dibuat pada {{ now()->isoFormat('HH:mm:ss DD-MM-YYYY') }}.</p>

    <div class='flex gap-1'>
        <x-button.primary onclick="window.print()">
            Cetak
        </x-button.primary>
        <x-button.primary href="{{ url()->previous() }}">
            Kembali
        </x-button.primary>
    </div>

</div>

<header class="text-center mb-4">
        <div class="flex items-center mb-4 gap-2">
            <img src="{{ $base64 }}" alt="Logo" class="h-20 mr-4">
            <div class="flex-1">
                <p class="font-medium text-lg mb-1">SMP Negeri 167 Jakarta</p>
                <p>Jl. Lkr Timur Duren Sawit Jl. Komp. Ptb Duren Sawit No. 5, RT.5 / RW.8 , Duren Sawit, Kec. Duren Sawit, Kota Jakarta Timur, Daerah Khusus Ibukota Jakarta 13440</p>
            </div>
        </div>

    <hr class="mb-4 print:border-black print:border-2">

    <h1 class="text-4xl font-medium print:text-2xl print:uppercase">{{ $title }}</h1>
</header>

<article>
	{{ $slot }}
</article>

</body>
</x-layouts>
