<x-layouts.pustakawan>

    <x-slot:title>Koleksi</x-slot:title>

    <x-slot:head>
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    </x-slot:head>

    <x-header breadcrumbs='Koleksi' title='Koleksi'></x-header>

    <!-- Search Box -->
    <div class="flex mb-4 relative sm:mt-0 gap-2">
        <span class="absolute inset-y-0 left-0 flex items-center pl-2">
            <i class="bi bi-search text-gray-500">
                <path
                    d="M10 4a6 6 0 100 12 6 6 0 000-12zm-8 6a8 8 0 1114.32 4.906l5.387 5.387a1 1 0 01-1.414 1.414l-5.387-5.387A8 8 0 012 10z">
                </path>
            </i>
        </span>
        <input wire:model='keySearch' id="search" placeholder="Cari dengan Judul/Pengarang"
            class="appearance-none rounded border border-gray-400 block pl-8 pr-6 py-2 w-96 bg-white text-sm placeholder-gray-400 text-gray-700 focus:bg-white focus:placeholder-gray-600 focus:text-gray-700 focus:outline-none" />
        <!-- Tambah Koleksi -->
        <x-button.primary class="text-sm" href="{{ route('koleksi.tambah') }}">
            Tambah Koleksi
        </x-button.primary>
        <x-button.primary class="text-sm" href="{{ route('koleksi.migrate') }}">
            Tambah Kumpulan Koleksi
        </x-button.primary>
    </div>

    <x-table.table :idTable="'tabel-koleksi'" :headers="['Kode', 'Jenis', 'Judul', 'Penerbit', 'Tahun Terbit', 'Pengarang', 'Jumlah Buku', 'Tersedia', 'Aksi']">
        <tbody id="search_list">
            <tr>
                <td colspan="9">Tidak ada hasil</td>
            </tr>
        </tbody>
    </x-table.table>

    <!-- Pagination -->
    <div class="row justify-content-center">
        <ul class="pagination flex items-center justify-center space-x-4 mt-4" id="pagination-list"></ul>
    </div>

    <div class="fixed inset-0 flex items-center justify-center bg-black bg-opacity-50" id="deleteConfirmation" style="display: none;">
        <div class="bg-white p-6 rounded-lg text-center">
            <h2 class="text-xl text-red-500 font-bold "> Peringatan!</h2>
            <p>Apakah Anda yakin ingin menghapus?</p>
            <div class="mt-4 flex justify-center">
                {{-- <button onclick="confirmDelete('{{ route('koleksi.destroy', ['koleksi' => $koleksi]) }}')" class="mr-4 px-4 py-2 bg-red-500 text-white rounded-md">Hapus</button> --}}
                <button onclick="hideDeleteConfirmation()"
                    class="mr-4 px-4 py-2 bg-gray-300 text-gray-700 rounded-md">Batal</button>
            </div>
        </div>
    </div>

    <script>
        function showDeleteConfirmation(deleteUrl) {
            document.getElementById('deleteConfirmation').style.display = 'flex';
            document.getElementById('deleteConfirmation').setAttribute('data-delete-url', deleteUrl);
        }

        function hideDeleteConfirmation() {
            document.getElementById('deleteConfirmation').style.display = 'none';
        }

        function confirmDelete() {
            const deleteUrl = document.getElementById('deleteConfirmation').getAttribute('data-delete-url');
            window.location.href = deleteUrl;
        }

        function loadPage(page) {
            var keySearch = $('#search').val();

            $.ajax({
                url: "{{ route('koleksi.search') }}",
                type: "GET",
                data: {
                    key: keySearch,
                    page: page
                },
                success: function(data) {
                    $('#search_list').html(data.html);
                    $('#pagination-list').html(data.paginationLinks);
                },
                error: function(error) {
                    console.log(error);
                }
            });
        }

        function loadAllData() {
            $.ajax({
                url: '{{ route('koleksi.search') }}',
                type: "GET",
                data: {
                    key: ''
                },
                success: function(data) {
                    $('#search_list').html(data.html);
                    $('#pagination-list').html(data.paginationLinks);
                },
                error: function(error) {
                    console.log(error);
                }
            });
        }

        $(document).ready(function() {
            loadAllData();

            $(document).on('click', '.pagination a', function(e) {
                e.preventDefault();
                var page = $(this).attr('href').split('page=')[1];
                loadPage(page);
            });

            $('#search').on('change keyup', function() {
                var keySearch = $(this).val();

                $.ajax({
                    url: "{{ route('koleksi.search') }}",
                    type: "GET",
                    data: {
                        key: keySearch
                    },
                    success: function(data) {
                        $('#search_list').html(data.html);
                        $('#pagination-list').html(data.paginationLinks);
                    },
                    error: function(error) {
                        console.log(error);
                    }
                });
            });
        });
    </script>
</x-layouts.pustakawan>
