<x-layouts.siswa>

    <x-slot:title>Koleksi</x-slot:title>

    <x-slot:head>
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    </x-slot:head>

    <x-header breadcrumbs='Koleksi' title='Koleksi'></x-header>

    <!-- Search Box -->
    <div class="flex relative sm:mt-0">
        <span class="absolute inset-y-0 left-0 flex items-center pl-2">
            <svg viewBox="0 0 24 24" class="h-4 w-4 fill-current text-gray-500">
                <path
                    d="M10 4a6 6 0 100 12 6 6 0 000-12zm-8 6a8 8 0 1114.32 4.906l5.387 5.387a1 1 0 01-1.414 1.414l-5.387-5.387A8 8 0 012 10z">
                </path>
            </svg>
        </span>
        <input wire:model='keySearch' id="search" placeholder="Cari dengan Judul/Pengarang"
            class="my-4 appearance-none rounded border border-gray-400 block pl-8 pr-6 py-2 w-100 bg-white text-sm placeholder-gray-400 text-gray-700 focus:bg-white focus:placeholder-gray-600 focus:text-gray-700 focus:outline-none" />
    </div>

    <x-table.table :idTable="'tabel-koleksi'" :headers="['Kode', 'Jenis', 'Judul', 'Penerbit', 'Tahun Terbit', 'Pengarang', 'Tersedia']">
        <tbody id="search_list">
            <tr>
                <td colspan="7">Tidak ada hasil</td>
            </tr>
        </tbody>
    </x-table.table>

    <!-- Pagination -->
    <div class="row justify-content-center">
        <ul class="pagination flex items-center justify-center space-x-4 mt-4" id="pagination-list"></ul>
    </div>

    <script>
        function loadPage(page) {
            $.ajax({
                url: "{{ route('koleksi.siswaSearch') }}",
                type: "GET",
                data: {
                    key: keySearch,
                    page: page
                },
                success: function(data) {
                    $('#search_list').html(data.html);
                    $('#pagination-list').html(data.paginationLinks);
                },
                error: function(error) {
                    console.log(error);
                }
            });
        }

        function loadAllData() {
            $.ajax({
                url: "{{ route('koleksi.siswaSearch') }}",
                type: "GET",
                data: {
                    key: ''
                },
                success: function(data) {
                    $('#search_list').html(data.html);
                    $('#pagination-list').html(data.paginationLinks);
                },
                error: function(error) {
                    console.log(error);
                }
            });
        }

        $(document).ready(function() {
            loadAllData();

            $('#search').on('change keyup', function() {
                var keySearch = $(this).val();

                $.ajax({
                    url: "{{ route('koleksi.siswaSearch') }}",
                    type: "GET",
                    data: {
                        key: keySearch
                    },
                    success: function(data) {
                        $('#search_list').html(data.html);
                        $('#pagination-list').html(data.paginationLinks);
                    },
                    error: function(error) {
                        console.log(error);
                    }
                });
            });

            $(document).on('click', '.pagination a', function(e) {
                e.preventDefault();
                var page = $(this).attr('href').split('page=')[1];
                loadPage(page);
            });
        });
    </script>
</x-layouts.siswa>
