<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Ubah Kunjungan</title>
    @vite('resources/css/app.css')
    <link rel="icon" href="{{ asset('img/logo_167.png') }}" type="image/x-icon">

    <!-- Include Select2 CSS and JavaScript files -->
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
</head>
<body>

<x-sidebar.pustakawan />
@section('content')
@endsection
<div class="content">
    <div class="bg-cover bg-no-repeat h-screen"
         style="background-image: url({{ asset('images/background_image.png') }});">
        <h2 class="text-lg  text-[#AFB0B1]"> > Kunjungan/Ubah Data Kunjungan</h2>
        <h2 class="text-2xl font-bold text-[#0087C1]">Ubah Data Kunjungan</h2>

        @foreach($errors->all() as $error)
            <li>{{$error}}</li>
        @endforeach

        <div class="container px-4 py-8 relative">
            <div class="w-96 bg-[#EAF6F9] p-6 rounded-lg shadow-md">
                <form method="post" action="{{ route('kunjungan.update', ['kunjungan' => $kunjungan]) }}">
                    @csrf
                    @method('put')
                    <div>
                        <h2 class="text-lg font-bold text-[#0087C1]">NIS - Nama</h2>
                    </div>
                    <select id="nisn" name="nisn" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <!-- Placeholder for Select2 -->
                    </select>
                    <div>
                        <h2 class="text-lg font-bold text-[#0087C1]">Tanggal Kunjungan</h2>
                    </div>

                    <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                        <input type="date" name="tanggal" class="w-full bg-transparent border-none outline-none"
                               value="{{ $kunjungan->tanggal }}">
                    </div>
                    <div>
                        <h2 class="text-lg font-bold text-[#0087C1]">Keterangan</h2>
                    </div>

                    @foreach(['Meminjam', 'Diskusi', 'Belajar', 'Berkunjung', 'Lainnya'] as $option)
                        <input type="radio" name="keterangan" value="{{ $option }}"
                                {{ $kunjungan->keterangan == $option ? 'checked' : '' }}>
                        {{ $option }}
                        <br>
                    @endforeach

                    <div class="flex justify-end">
                        <a href="{{ route('pustakawan.kunjungan.index') }}"
                           class="bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 mx-5 my-2 rounded-lg">Batal</a>
                        <div>
                            <input type="submit"
                                   class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 mx-2 my-2 rounded-lg"
                                   value="Ubah">
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>

<script>
    $(document).ready(function () {
        var studentSelect = $('#nisn');

        // Initialize Select2
        studentSelect.select2({
            placeholder: 'Select NISN',
            minimumInputLength: 1,
            ajax: {
                url: '{{ route('kunjungan.get') }}',
                type: 'GET',
                dataType: 'json',
                delay: 250,
                data: function (params) {
                    return {
                        searchItem: params.term,
                        page: params.page
                    };
                },
                processResults: function (json, params) {
                    params.page = params.page || 1;

                    var results = [];
                    $.each(json.data, function (index, item) {
                        results.push({
                            id: item.nisn,
                            text: item.nama,
                        });
                    });

                    return {
                        results: results,
                        pagination: {
                            more: (params.page * 30) < json.total
                        }
                    };
                },
                cache: true
            }
        });

        // Preselect the option if Siswa relationship data is available
        var siswaData = {!! json_encode($kunjungan->siswa) !!};
        if (siswaData && siswaData.nisn) {
            var option = new Option(siswaData.nama, siswaData.nisn, true, true);
            studentSelect.append(option).trigger('change');
        }
    });
</script>


</body>
</html>
