<x-layouts.pustakawan>

    <x-slot:title>Riwayat Kunjungan</x-slot:title>

    <x-slot:head>
        <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet"/>
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

        <script>
        </script>

    </x-slot:head>

    <x-header breadcrumbs='Kunjungan' title='Riwayat Kunjungan'></x-header>


    <!-- Search Box -->
    <div class="flex mb-4 relative sm:mt-0 gap-2">
        <span class="absolute inset-y-0 left-0 flex items-center pl-2">
        <i class="bi bi-search text-gray-500">
                <path
                    d="M10 4a6 6 0 100 12 6 6 0 000-12zm-8 6a8 8 0 1114.32 4.906l5.387 5.387a1 1 0 01-1.414 1.414l-5.387-5.387A8 8 0 012 10z">
                </path>
        </i>
        </span>
        <input wire:model='keySearch' id="search" placeholder="Cari dengan NISN/Nama"
            class="appearance-none rounded border border-gray-400 block pl-8 pr-6 py-2 w-96 bg-white text-sm placeholder-gray-400 text-gray-700 focus:bg-white focus:placeholder-gray-600 focus:text-gray-700 focus:outline-none" />

        <x-button.primary class="text-sm" href="{{ route('kunjungan.tambah') }}">
            Buat Kunjungan
        </x-button.primary>

    </div>

    <div class="flex items-end mb-4 gap-2 py-2">
        <!-- First Date -->
        <div>
            <label for="date1" class="block text-sm font-medium text-gray-600">Tanggal Awal</label>
            <input type="date" id="start_date" name="date1" class="mt-1 p-2 border rounded-md w-40" />
        </div>

        <!-- Second Date -->
        <div>
            <label for="date2" class="block text-sm font-medium text-gray-600">Tanggal Akhir</label>
            <input type="date" id="end_date" name="date2" class="mt-1 p-2 border rounded-md w-40" />
        </div>

        <!-- First Dropdown -->
        <div>
            <label for="dropdown1" class="block text-sm font-medium text-gray-600">Tingkat</label>
            <select id="tingkat" name="dropdown1" class="mt-1 p-2 border rounded-md w-40" >
                <!-- Add your options here -->
                <option value="">Semua</option>
                <option value="7">7</option>
                <option value="8">8</option>
                <option value="9">9</option>
            </select>
        </div>

        <!-- Second Dropdown -->
        <div>
            <label for="dropdown2" class="block text-sm font-medium text-gray-600">Kelas</label>
            <select id="kelas" name="dropdown2" class="mt-1 p-2 border rounded-md w-40">
                <!-- Add your options here -->
                <option value="">Semua</option>
                <option value="A">A</option>
                <option value="B">B</option>
                <option value="C">C</option>
                <option value="D">D</option>
                <option value="E">E</option>
                <option value="F">F</option>
                <option value="G">G</option>
                <option value="H">H</option>
            </select>
        </div>

        <!-- Reset Button -->
        <x-button.danger class="text-sm" id="reset">
            Reset
        </x-button.danger>
    </div>

    <div class="-mx-4 sm:-mx-8 px-4 sm:px-8 py-4 overflow-x-auto">
        <div class="inline-block min-w-full rounded-lg overflow-hidden">
            <table class="min-w-full leading-normal">
                <thead>
                    <tr>
                        <th class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                            Nomor
                        </th>
                        <th class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                            NISN
                        </th>
                        <th class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                            Nama
                        </th>
                        <th class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                            Kelas
                        </th>
                        <th class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                            Tanggal <i id="sort-tanggal" class="bi bi-caret-up-fill" onclick="toggleSort()"></i>
                        </th>
                        <th class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                            Keterangan
                        </th>
                        <th class="px-5 py-3 border-b-2 border-gray-200 bg-gray-100 text-left text-xs font-semibold text-gray-600 uppercase tracking-wider">
                            Aksi
                        </th>
                    </tr>
                </thead>

                <tbody id="search_list"></tbody>

            </table>
        </div>
    </div>

    <ul class="pagination flex items-center justify-center space-x-4 mt-4" id="pagination-list"></ul>

    <script>
        function loadFilteredData(sortOrder) {
            sortOrder = sortOrder || 'asc';

            $.ajax({
                url: '{{ route('kunjungan.search')}}',
                type: "GET",
                data: {
                    'search': $('#search').val(),
                    'start_date': $('#start_date').val(),
                    'end_date': $('#end_date').val(),
                    'tingkat': $('#tingkat').val(),
                    'kelas': $('#kelas').val(),
                    'tanggal': sortOrder
                },
                success: function (data) {
                    $('#search_list').html(data.html);
                    $('#pagination-list').html(data.pagination);
                }
            });
        }

        function loadAllData() {
            $.ajax({
                url: '{{ route('kunjungan.search')}}',
                type: "GET",
                data: {
                    'search': '',
                    'start_date': $('#start_date').val(),
                    'end_date': $('#end_date').val(),
                    'tingkat': '',
                    'kelas': '',
                    'tanggal': 'asc'
                },
                success: function (data) {
                    $('#search_list').html(data.html);
                    $('#pagination-list').html(data.pagination);
                }
            });
        }

        function loadPage(page) {
            var sortOrder = ($('#sort-tanggal').hasClass('fa-arrow-up-wide-short')) ? 'asc' : 'desc';

            $.ajax({
                url: '{{ route('kunjungan.search')}}' + '?page=' + page,
                type: "GET",
                data: {
                    'search': $('#search').val(),
                    'start_date': $('#start_date').val(),
                    'end_date': $('#end_date').val(),
                    'tingkat': $('#tingkat').val(),
                    'kelas': $('#kelas').val(),
                    'tanggal': sortOrder
                },
                success: function (data) {
                    $('#search_list').html(data.html);
                    $('#pagination-list').html(data.pagination);
                }
            });
        }

        $(document).ready(function () {
            loadAllData();

            $('#search, #start_date, #end_date, #tingkat, #kelas').on('keyup change', function () {
                loadFilteredData();
            });

            $('#reset').on('click', function () {
                $('#search').val('');
                $('#start_date').val('');
                $('#end_date').val('');
                $('#tingkat').val('');
                $('#kelas').val('');
                loadAllData();
            });

            $(document).on('click', '.pagination a', function (e) {
                e.preventDefault();
                var page = $(this).attr('href').split('page=')[1];
                loadPage(page);
            });
        });

        function toggleSort() {
            var element = document.getElementById('sort-tanggal');
            element.classList.toggle('bi-caret-up-fill');
            element.classList.toggle('bi-caret-down-fill');

            // Determine the filter value based on the current class
            var sortOrder = element.classList.contains('bi-caret-up-fill') ? 'asc' : 'desc';

            // Load the first page of data after sorting
            loadFilteredData(sortOrder);
        }
    </script>



</x-layouts.pustakawan>
