<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Select2 AJAX Search Example</title>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <link rel="icon" href="{{ asset('img/logo_167.png') }}" type="image/x-icon">
</head>
<body>

<h1>Search Example</h1>

<!-- Select2 AJAX Search Input -->
<select id="ajaxselect" style="width: 300px;"></select>

<script>
    $(function() {
        var $ajaxselect = $("#ajaxselect");

        $ajaxselect.select2({
            ajax: {
                url: '{{ route('kunjungan.get')}}', // Replace with your API endpoint URL
                type: 'GET',
                dataType: 'json',
                delay: 250,
                data: function (params) {
                    return {
                        searchItem: params.term,
                        page: params.page
                    };
                },
                processResults: function (json, params) {
                    params.page = params.page || 1;

                    var results = [];
                    $.each(json.data, function(index, item) {
                        results.push({
                            id: item.nisn, // Use nisn as the id
                            text: item.nama, // Customize the display as needed
                        });
                    });

                    return {
                        results: results,
                        pagination: {
                            more: (params.page * 30) < json.total // Adjust based on your data structure
                        }
                    };
                },
                cache: true
            },
            placeholder: 'Search',
            templateResult: function(data) {
                if (data.loading) {
                    return data.text;
                }
                return data.text; // Customize the display as needed
            }
        });

        $ajaxselect.on('change', function() {
            var selectedValue = $ajaxselect.val();
            console.log('Selected Value: ', selectedValue);
        });
    });
</script>


</body>
</html>
