<x-layouts.pustakawan>

<x-slot:title>Tambah Data Kunjungan</x-slot:title>

<x-slot:head>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script>
        // Initialize Select2 for the NISN input field
        $(document).ready(function () {
            $('#nisn').select2({
                ajax: {
                    url: '{{ route('kunjungan.get')}}', // Replace with your API endpoint URL
                    type: 'GET',
                    dataType: 'json',
                    delay: 250,
                    data: function (params) {
                        return {
                            searchItem: params.term,
                            page: params.page
                        };
                    },
                    processResults: function (json, params) {
                        params.page = params.page || 1;

                        var results = [];
                        $.each(json.data, function (index, item) {
                            results.push({
                                id: item.nisn,
                                text: item.nisn + ' - ' + item
                                    .nama,
                            });
                        });

                        return {
                            results: results,
                            pagination: {
                                more: (params.page * 30) < json.total // Adjust based on your data structure
                            }
                        };
                    },
                    cache: true
                },
                placeholder: 'Cari dengan nama ...',
                templateResult: function (data) {
                    if (data.loading) {
                        return data.text;
                    }
                    return data.text; // Customize the display as needed
                },
                templateSelection: function (data) {
                    // Display the selected item differently
                    return data.text;
                }
            });
        });
    </script>
</x-slot:head>

<x-header breadcrumbs='Kunjungan//Tambah Data Kunjungan' title='Tambah Data Kunjungan'></x-header>

@foreach($errors->all() as $error)
    <li>{{$error}}</li>
@endforeach

<x-form-box>
    <form method="post" action="{{route('kunjungan.store')}}">
        @csrf
        @method('post')
        <div>
            <h2 class="text-lg font-bold text-[#0087C1]">NIS - Nama</h2>
        </div>
        <select id="nisn" name="nisn" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
            <!-- Placeholder for Select2 -->
        </select>
        <div>
            <h2 class="text-lg font-bold text-[#0087C1]">Tanggal Kunjungan</h2>
        </div>

        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
            <input type="date" name="tanggal" class="w-full bg-transparent border-none outline-none">
        </div>
        <div>
            <h2 class="text-lg font-bold text-[#0087C1]">Keterangan</h2>
        </div>

        @foreach(['Meminjam', 'Diskusi', 'Belajar', 'Berkunjung', 'Lainnya'] as $option)
            <input type="radio" class="bg-[#FBFAFF] px-3 py-2 rounded-md" name="keterangan"
                    value="{{ $option }}"
                    {{ old('keterangan') == $option ? 'checked' : '' }}>
            {{ $option }}
            <br>
        @endforeach

        <div class="flex justify-end">
            <a href="{{ route('pustakawan.kunjungan.index') }}"
                class="bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 mx-5 my-2 rounded-lg">Batal</a>
            <div>
                <input type="submit"
                        class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 mx-2 my-2 rounded-lg"
                        value="Tambah">
            </div>
        </div>
    </form>
</x-form-box>

</x-layouts.pustakawan>
