<x-layouts.pustakawan>

    <x-slot:title>Laporan Akun</x-slot:title>

    <x-slot:head>
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
    </x-slot:head>

    <x-header breadcrumbs='Laporan//Laporan Akun' title='Laporan Akun'></x-header>

    <p class="mb-4">Pilih kelas yang akan dicetak</p>

    <!-- Flowbite Filter -->
    <div class="flex mb-4 space-x-2">
        <div class="form-group flex items-center">
            <!-- Tingkat Dropdown -->
            <div class="mr-4">
                <label for="tingkat" class="text-base font-bold text-black">Pilih Tingkat</label>
                <select id="tingkat" name="tingkat" class="mt-1 p-2 border rounded-md w-40">
                    <option value="">Semua</option>
                    @for ($i = 7; $i <= 9; $i++)
                        <option value="{{ $i }}">{{ $i }}</option>
                    @endfor
                </select>
            </div>
            <!-- Kelas Dropdown -->
            <div class="mr-4">
                <label for="kelas" class="text-base font-bold text-black">Pilih Kelas</label>
                <select id="kelas" name="kelas" class="mt-1 p-2 border rounded-md w-40">
                    <option value="">Semua</option>
                    @foreach (range('A', 'H') as $kelas)
                        <option value="{{ $kelas }}">{{ $kelas }}</option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>

    <div class="flex justify-start">
        <a href="#" id="lihat"
           class="bg-white hover:bg-[#EAF6F9] text-[#0087C1] border-[#0087C1] border font-bold py-2 px-4 rounded-lg items-center">
            <ion-icon name="eye" class="mr-2"></ion-icon>
            Lihat
        </a>
    </div>

    <script>
        // jQuery to handle the Lihat button click
        $(document).ready(function() {
            $('#lihat').on('click', function(event) {
                event.preventDefault(); // Prevent the default link behavior

                // Get the selected values from the dropdowns
                var tingkat = $('#tingkat').val();
                var kelas = $('#kelas').val();

                // Construct the URL with the form data
                var url = new URL('{{ url('laporan/akun/lihat') }}');

                // Append tingkat and kelas to the URL parameters if they are not empty
                if (tingkat) url.searchParams.append('tingkat', tingkat);
                if (kelas) url.searchParams.append('kelas', kelas);

                // Navigate to the constructed URL
                window.open(url.toString(), '_blank');
            });
        });
    </script>

</x-layouts.pustakawan>
