<x-layouts.pustakawan>

    {{-- <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        @vite('resources/css/app.css')
        <title>Tambah Peminjaman</title>
        <link rel="icon" href="{{ asset('img/logo_167.png') }}" type="image/x-icon">
    </head> --}}

    <x-slot:title>Ubah Peminjaman Buku</x-slot:title>

    <x-slot:head>
    </x-slot:head>

    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

    <x-header breadcrumbs='Peminjaman//{{ $peminjaman->id }}//Ubah Peminjaman Buku'
        title='Ubah Peminjaman Buku'></x-header>

    <script>
        $(document).ready(function() {
            var peminjamSelect = $('#nisn');
            peminjamSelect.append('<option value="{{ $peminjaman->nisn }}" selected>{{ $peminjaman->nisn }} - {{ $peminjaman->siswa->nama }}</option>');

            var koleksiSelect = $('#koleksi_id');
            koleksiSelect.append('<option value="{{ $peminjaman->koleksi_id }}" selected>{{ $peminjaman->koleksi->judul }}</option>');

            $('#nisn').select2({
                ajax: {
                    url: '{{ route('peminjaman.getSiswa') }}',
                    type: 'GET',
                    dataType: 'json',
                    delay: 250,
                    data: function(params) {
                        return {
                            searchItem: params.term,
                            page: params.page
                        };
                    },
                    processResults: function(json, params) {
                        params.page = params.page || 1;

                        var results = [];
                        $.each(json.data, function(index, item) {
                            results.push({
                                id: item.nisn, // Use nisn as the id
                                text: item.nisn + ' - ' + item
                                    .nama, // Customize the display as needed
                            });
                        });

                        return {
                            results: results,
                            pagination: {
                                more: (params.page * 30) < json
                                    .total // Adjust based on your data structure
                            }
                        };
                    },
                    cache: true
                },
                placeholder: 'NISN - Nama',
                templateResult: function(data) {
                    if (data.loading) {
                        return data.text;
                    }
                    return data.text; // Customize the display as needed
                },
                templateSelection: function(data) {
                    // Display the selected item differently
                    return data.text;
                }
            }).on('change', function(e) {
                console.log('Change event triggered:', e);
                console.log('Selected value:', e.target.value);
            }).on('select2:open', function(e) {
                console.log('Select2 opened for #nisn');
            });


            $('#koleksi_id').select2({
                ajax: {
                    url: '{{ route('peminjaman.getKoleksi') }}',
                    type: 'GET',
                    dataType: 'json',
                    delay: 250,
                    data: function(params) {
                        return {
                            searchItem: params.term,
                            page: params.page
                        };
                    },
                    processResults: function(json, params) {
                        params.page = params.page || 1;

                        var results = [];
                        $.each(json.data, function(index, item) {
                            results.push({
                                id: item.koleksi_id, // Use nisn as the id
                                text: item.judul, // Customize the display as needed
                            });
                        });

                        return {
                            results: results,
                            pagination: {
                                more: (params.page * 30) < json
                                    .total // Adjust based on your data structure
                            }
                        };
                    },
                    cache: true
                },
                placeholder: 'Kode - Judul',
                templateResult: function(data) {
                    if (data.loading) {
                        return data.text;
                    }
                    return data.text; // Customize the display as needed
                },
                templateSelection: function(data) {
                    // Display the selected item differently
                    return data.text;
                }
            }).on('change', function(e) {
                console.log('Change event triggered:', e);
                console.log('Selected value:', e.target.value);
            }).on('select2:open', function(e) {
                console.log('Select2 opened for #koleksi_id');
            });
        });
    </script>
    <x-form-box>
        <form method="post" action="{{ route('peminjaman.update', ['peminjaman' => $peminjaman]) }}">
            @csrf
            @method('put')
            <input type="hidden" name="nisn" value="{{ $peminjaman->nisn }}">
            <input type="hidden" name="koleksi_id" value="{{ $peminjaman->koleksi_id }}">

            <h2 class="text-lg font-bold text-[#0087C1]">Peminjam</h2>
            <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" value="{{ $peminjaman->siswa->nama }}" disabled>

            <h2 class="text-lg font-bold text-[#0087C1]">Buku Dipinjam</h2>
            <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" value="{{ $peminjaman->koleksi->judul }}" disabled>

            {{-- <h2 class="text-lg font-bold text-[#0087C1]">Peminjam</h2>
            <select id="nisn" name="nisn" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
            </select>

            <h2 class="text-lg font-bold text-[#0087C1]">Buku Dipinjam</h2>
            <select id="koleksi_id" name="koleksi_id" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
            </select> --}}

            <h2 class="text-lg font-bold text-[#0087C1]">Tanggal Peminjaman</h2>
            <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" type="date"
                value="{{ $peminjaman->tanggal_peminjaman }}" name="tanggal_peminjaman">

            <h2 class="text-lg font-bold text-[#0087C1]">Tanggal Pengembalian</h2>
            <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" type="date" name="tanggal_pengembalian"
                value="{{ $peminjaman->tanggal_pengembalian ?? '' }}"
                {{ is_null($peminjaman->tanggal_pengembalian) ? 'disabled' : '' }}>

            <h2 class="text-lg font-bold text-[#0087C1]">Batas Pengembalian</h2>
            <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" type="date" name="batas_pengembalian"
                value="{{ $peminjaman->batas_pengembalian }}">

            <h2 class="text-lg font-bold text-[#0087C1]">Status</h2>
            <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" value="{{ $peminjaman->status }}" disabled>
            {{-- <h2 class="text-lg font-bold text-[#0087C1]">Keterangan</h2>
            <textarea class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" placeholder="Keterangan Opsional" name="keterangan"></textarea> --}}

            <div class="flex justify-between mb-4 py-8 px-10">
                <button class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded-lg"
                    type="submit">Ubah
                </button>
                <a class="bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 rounded-lg"
                    href="{{ route('pustakawan.peminjaman.index') }}">Batal</a>
            </div>
        </form>
    </x-form-box>

</x-layouts.pustakawan>
