<x-layouts.siswa>

    <x-slot:title>Peminjaman dan Pengembalian</x-slot:title>

    <x-slot:head>
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    </x-slot:head>

    <x-header breadcrumbs='Peminjaman' title='Peminjaman dan Pengembalian'></x-header>

    <x-table.table :idTable="'tabel-peminjaman'" :headers="['Peminjam', 'Buku Dipinjam', 'Tanggal Pinjam', 'Batas Pinjam', 'Tanggal Kembali', 'Status']">
        @foreach ($peminjaman as $item)
            <tr>
                <x-table.td :align="'center'">
                    {{ $item->siswa->nama }}
                </x-table.td>
                <x-table.td :align="'center'">
                    {{ $item->koleksi->judul }}
                </x-table.td>
                <x-table.td :align="'center'">
                    {{ $item->tanggal_peminjaman }}
                </x-table.td>
                <x-table.td :align="'center'">
                    {{ $item->batas_pengembalian }}
                </x-table.td>
                <x-table.td :align="'center'">
                    {{ is_null($item->tanggal_pengembalian) ? ('-') : ($item->tanggal_pengembalian) }}
                </x-table.td>
                <x-table.td :align="'center'">
                    {{ $item->status }}
                </x-table.td>
            </tr>
        @endforeach

    </x-table.table>

    <div class="row justify-content-center">
        {{ $peminjaman->links() }}
    </div>

    <script>
        $(document).on('click', '.pagination a', function(e) {
            e.preventDefault();
            var page = $(this).attr('href').split('page=')[1];
            loadPage(page);
        });
    </script>

</x-layouts.siswa>
