<x-layouts.pustakawan>

    <x-slot:title>Tambah Peminjaman</x-slot:title>

    <x-slot:head>
    </x-slot:head>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.7.1/dist/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

    <x-header breadcrumbs='Peminjaman//Tambah Peminjaman Buku' title='Tambah Peminjaman Buku'></x-header>

    <script>
        $(document).ready(function() {
            $('#nisn').select2({
                ajax: {
                    url: '{{ route('peminjaman.getSiswa') }}',
                    type: 'GET',
                    dataType: 'json',
                    delay: 250,
                    data: function(params) {
                        return {
                            searchItem: params.term,
                            page: params.page
                        };
                    },
                    processResults: function(json, params) {
                        params.page = params.page || 1;

                        var results = [];
                        $.each(json.data, function(index, item) {
                            results.push({
                                id: item.nisn,
                                text: item.nisn + ' - ' + item.nama,
                            });
                        });

                        return {
                            results: results,
                            pagination: {
                                more: (params.page * 30) < json.total // Adjust based on your data structure
                            }
                        };
                    },
                    cache: true
                },
                placeholder: 'Pilih siswa',
                templateResult: function(data) {
                    if (data.loading) {
                        return data.text;
                    }
                    return data.text; // Customize the display as needed
                },
                templateSelection: function(data) {
                    // Display the selected item differently
                    return data.text;
                }
            }).on('change', function(e) {
                var nisn = e.target.value;

                // AJAX peminjaman terlambat
                $.ajax({
                    type: 'GET',
                    url: '{{ route('peminjaman.getTerlambat') }}', // Adjust the route as needed
                    data: {
                        nisn: nisn
                    },
                    dataType: 'json',
                    success: function(response) {
                        // Update the content of the <p> element with id "p_terlambat"
                        $('#p_terlambat').text(response.terlambat +' peminjaman terlambat dikembalikan');
                    },
                    error: function(error) {
                        console.error('Error fetching overdue count: ', error);
                    }
                });

                $.ajax({
                    type: 'GET',
                    url: '{{ route('peminjaman.getPeminjamanData') }}', // Adjust the route as needed
                    data: {
                        nisn: nisn,
                        status: "Perlu Dikembalikan"
                    },
                    dataType: 'json',
                    success: function(response) {
                        $('#p_kembalikan').text(response.status +' peminjaman belum dikembalikan yang melewati batas');
                    },
                    error: function(error) {
                        console.error('Error fetching overdue count: ', error);
                    }
                });
            });

            $('#koleksi_id').select2({
                ajax: {
                    url: '{{ route('peminjaman.getKoleksi') }}',
                    type: 'GET',
                    dataType: 'json',
                    delay: 250,
                    data: function(params) {
                        return {
                            searchItem: params.term,
                            page: params.page
                        };
                    },
                    processResults: function(json, params) {
                        params.page = params.page || 1;

                        var results = [];
                        $.each(json.data, function(index, item) {
                            results.push({
                                id: item.id, // Use nisn as the id
                                text: item.judul, // Customize the display as needed
                            });
                        });

                        return {
                            results: results,
                            pagination: {
                                more: (params.page * 30) < json
                                    .total // Adjust based on your data structure
                            }
                        };
                    },
                    cache: true
                },
                placeholder: 'Pilih buku',
                templateResult: function(data) {
                    if (data.loading) {
                        return data.text;
                    }
                    return data.text; // Customize the display as needed
                },
                templateSelection: function(data) {
                    // Display the selected item differently
                    return data.text;
                }
            })
        });
    </script>
    <x-form-box>
        <form method="post" action="{{ route('peminjaman.store') }}">
            @csrf
            @method('post')
            <h2 class="text-lg font-bold text-[#0087C1]">Peminjam</h2>
            <select id="nisn" name="nisn" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
            </select>
            <p > Saat ini, siswa tersebut memiliki:</p>
            <p id="p_terlambat"> 0 peminjaman terlambat dikembalikan</p>
            <p id="p_kembalikan"> 0 peminjaman belum dikembalikan yang melewati batas</p>
            <h2 class="text-lg font-bold text-[#0087C1]">Buku Dipinjam</h2>
            <select id="koleksi_id" name="koleksi_id" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
            </select>
            <h2 class="text-lg font-bold text-[#0087C1]">Tanggal Peminjaman</h2>
            <input class="bg-[#FCFBFF] rounded-lg mb-4 py-1 px-10" placeholder="Tanggal Peminjaman" type="date"
                name="tanggal_peminjaman">

            <div class="flex justify-between mb-4 py-8 px-10">
                <button class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded-lg"
                    type="submit">Tambah
                </button>
                <a class="bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 rounded-lg"
                    href="{{ route('pustakawan.peminjaman.index') }}">Batal</a>
            </div>
        </form>
    </x-form-box>
</x-layouts.pustakawan>
