<x-layouts.pustakawan>

    <x-slot:title>Ubah Akun</x-slot:title>

    <x-slot:head>
    </x-slot:head>

    <x-header breadcrumbs='Akun Siswa//Tambah Akun' title='Tambah Akun'></x-header>

    <x-form-box>
        <form method="post" action="{{ route('siswa.store')}}">
            @csrf
            @method('post')
            <div class="lg:flex justify-evenly pb-10">

                <div class="w-full">
                    <div class="m-4">
                        <span class="font-semibold block">Nama</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="text" name="nama" class="w-full bg-transparent border-none outline-none">
                        </div>
                    </div>

                    <div class="m-4">
                        <span class="font-semibold block">NISN</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="text" name="nisn" class="w-full bg-transparent border-none outline-none">
                        </div>
                    </div>

                    <div class="m-4">
                        <span class="font-semibold block">NIS</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="text" name="nis" class="w-full bg-transparent border-none outline-none">
                        </div>
                    </div>

                    <div class="m-4 flex">
                        <div class="w-1/2 pr-2">
                            <span class="font-semibold block">Tingkat</span>
                            <select name="tingkat" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                                <option hidden>Pilih Tingkat</option>
                                @for($i = 7; $i <= 9; $i++)
                                    <option>
                                        {{ $i }}
                                    </option>
                                @endfor
                            </select>
                        </div>

                        <div class="w-1/2">
                            <span class="font-semibold block">Kelas</span>
                            <select name="kelas" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                                <option hidden>Pilih Kelas</option>
                                @foreach(['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H'] as $class)
                                    <option>
                                        {{ $class }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>

                <div class="w-full">
                    <div class="m-4">
                        <span class="font-semibold block">Tanggal Lahir</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="date" name="tgl_lahir" class="w-full bg-transparent border-none outline-none">
                        </div>
                    </div>

                    <div class="m-4">
                        <span class="font-semibold block">Tempat Lahir</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="text" name="tempat_lahir"
                                   class="w-full bg-transparent border-none outline-none">
                        </div>
                    </div>

                    <div class="m-4">
                        <span class="font-semibold block">Jenis Kelamin</span>
                        <select name="jk" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <option hidden>Pilih Jenis Kelamin</option>
                            <option value="L">Laki-laki</option>
                            <option value="P">Perempuan</option>
                        </select>
                    </div>

                    <div class="m-4">
                        <p><strong>Username dan Kata Sandi untuk login akan sama dengan NISN!</strong></p>
                    </div>

                </div>
            </div>

            <div class="flex justify-end">
                <a href="{{ route('pustakawan.siswa.index') }}"
                   class="bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 mx-5 my-2 rounded-lg">Batal</a>
                <button type="submit" id="submitButton" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 mx-2 my-2 rounded-lg">Tambah</button>
            </div>

        </form>
    </x-form-box>

</x-layouts.pustakawan>
