<x-layouts.pustakawan>

    <x-slot:title>Ubah Akun</x-slot:title>

    <x-slot:head>
    </x-slot:head>

    <x-header breadcrumbs='Akun Siswa//Ubah Akun' title='Ubah Akun'></x-header>

    <x-form-box>
        <form method="post" action="{{ route('siswa.update', ['siswa' => $siswa]) }}">
            @csrf
            @method('put')
            <div class="lg:flex justify-evenly pb-10">

                <div class="w-full">
                    <div class="m-4">
                        <span class="font-semibold block">Nama</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="text" name="nama" class="w-full bg-transparent border-none outline-none"
                                   value="{{ $siswa->nama }}">
                        </div>
                    </div>

                    <div class="m-4">
                        <span class="font-semibold block">NISN (tidak bisa diubah)</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="text" name="nisn" class="w-full bg-transparent border-none outline-none"
                                   value="{{ $siswa->nisn }}" disabled>
                        </div>
                    </div>

                    <div class="m-4">
                        <span class="font-semibold block">NIS</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="text" name="nis" class="w-full bg-transparent border-none outline-none"
                                   value="{{ $siswa->nis }}">
                        </div>
                    </div>

                    <div class="m-4 flex">
                        <div class="w-1/3 pr-2">
                            <span class="font-semibold block">Tingkat</span>
                            <select name="tingkat" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                                <option hidden>Pilih Tingkat</option>
                                @for($i = 7; $i <= 9; $i++)
                                    <option value="{{ $i }}" {{ $i == $siswa->tingkat ? 'selected' : '' }}>
                                        {{ $i }}
                                    </option>
                                @endfor
                            </select>
                        </div>

                        <div class="w-1/3">
                            <span class="font-semibold block">Kelas</span>
                            <select name="kelas" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                                <option hidden>Pilih Kelas</option>
                                @foreach(['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H'] as $class)
                                    <option value="{{ $class }}" {{ $class == $siswa->kelas ? 'selected' : '' }}>
                                        {{ $class }}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>

                <div class="w-full">
                    <div class="m-4">
                        <span class="font-semibold block">Tanggal Lahir</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="date" name="tgl_lahir" class="w-full bg-transparent border-none outline-none"
                                   value="{{ $siswa->tanggal_lahir }}">
                        </div>
                    </div>

                    <div class="m-4">
                        <span class="font-semibold block">Tempat Lahir</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="text" name="tempat_lahir"
                                   class="w-full bg-transparent border-none outline-none"
                                   value="{{ $siswa->tempat_lahir }}">
                        </div>
                    </div>

                    <div class="m-4">
                        <span class="font-semibold block">Jenis Kelamin</span>
                        <select name="jk" class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <option hidden>Pilih Jenis Kelamin</option>
                            <option value="L" {{ $siswa->jenis_kelamin == 'L' ? 'selected' : '' }}>Laki-laki</option>
                            <option value="P" {{ $siswa->jenis_kelamin == 'P' ? 'selected' : '' }}>Perempuan</option>
                        </select>
                    </div>

                    <div class="m-4">
                        <span class="font-semibold block">Kata Sandi Baru</span>
                        <div class="bg-[#FBFAFF] w-full px-3 py-2 rounded-md">
                            <input type="password" name="new_password" id="new_password"
                                   class="w-full bg-transparent border-none outline-none">
                        </div>
                    </div>
                </div>
            </div>

            <div class="flex justify-end">
                <a href="{{ route('pustakawan.siswa.index') }}"
                   class="bg-red-500 hover:bg-red-700 text-white font-bold py-2 px-4 mx-5 my-2 rounded-lg">Batal</a>
                <button type="submit" id="submitButton" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 mx-2 my-2 rounded-lg">Ubah</button>
            </div>

        </form>
    </x-form-box>

</x-layouts.pustakawan>
