<x-layouts.pustakawan>

    <x-slot:head></x-slot:head>
    <x-slot:title>Migrasi Data</x-slot:title>

    <x-header breadcrumbs='Akun Siswa//Migrasi Data' title='Migrasi Data'></x-header>
        <div class="flex flex-col gap-4 lg:w-3/4 ">

            <p>Halaman ini digunakan untuk perpindahan antar tahun pelajaran</p>

            <!-- Card 1 -->
            <div class="p-6 bg-[#EAF6F9] rounded shadow-md">
                <div class="font-bold text-xl mb-2">Langkah 1</div>
                <p class="text-gray-700 text-base mb-4">Download laporan tingkat 9 di bawah ini, sebelum data dihapus! </p>
                <x-button.primary href="{{ url('/laporan/akun/lihat?tingkat=9') }}">
                    Laporan Tingkat 9
                </x-button.primary>
            </div>
            <!-- End Card 1 -->

            <!-- Card 2 -->
            <div class="p-6 bg-[#EAF6F9] rounded shadow-md">
                <div class="font-bold text-xl mb-2">Langkah 2</div>
                <p class="text-gray-700 text-base mb-4">Download template excel di bawah ini</p>
                <x-button.primary href="{{ asset('storage/template.xlsx') }}">
                    Template Akun Siswa
                </x-button.primary>
            </div>
            <!-- Card 2 -->

            <!-- Card 2 -->
            <div class="p-6 bg-[#EAF6F9] rounded shadow-md">
                <div class="font-bold text-xl mb-2">Langkah 3</div>
                <p class="text-gray-700 text-base mb-4">
                    Hapus seluruh siswa dengan tingkat 9.
                    Jangan sampai melewati tahap ini, sebab jika akun siswa tingkat 9 yang benar sudah ter-upload,
                    maka akan <strong>terhapus kembali.</strong> Namun, jika hal ini terjadi, maka dapat dilakukan
                    <strong>pengunggahan ulang</strong> siswa kelas 9 yang benar. Namun, data kunjungan dan peminjaman
                    untuk siswa tersebut <strong>akan terhapus</strong>.
                </p>

                <form action="{{ route('siswa.destroy9') }}" method="post">
                    @csrf
                    @method('post')
                    <button type="submit" class="px-4 py-2 h-10 rounded-md focus:outline-none text-white bg-red-500 hover:bg-red-600 focus:bg-red-600">Hapus Siswa Tingkat 9</button>
                </form>
            </div>
            <!-- Card 2 -->

            <!-- Card 2 -->
            <div class="p-6 bg-[#EAF6F9] rounded shadow-md">
                <div class="font-bold text-xl mb-2">Langkah 4</div>
                <p class="text-gray-700 text-base">
                    Isikan excel template yang telah di download dengan data siswa baru.<br>
                    Harap diperhatikan:
                </p>
                <ol class="text-gray-700 text-base list-decimal pl-10 mb-4">
                    <li>NISN menjadi basis perubahan data siswa. <strong>Jangan sampai terdapat kesalahan dalam penulisan NISN.</strong></li>
                    <li>Format nama yaitu seluruhnya huruf kapital. Contoh: DINA YANTI NAINGGOLAN</li>
                    <li>Tingkat siswa, yaitu dari 7-8</li>
                    <li>Kelas siswa berupa alfabet dari A-H</li>
                    <li>Format tempat lahir yaitu seluruhnya kapital. Contoh: BOGOR</li>
                    <li>Format tanggal yaitu YYYY-MM-DD atau TAHUN-BULAN-TANGGAL</li>
                    <li>Jenis kelamin yaitu 'L' atau 'P'</li>
                </ol>

                <x-button.primary href="{{ asset('storage/akun_template_contoh.xlsx') }}">
                    Template Akun Siswa
                </x-button.primary>
            </div>

            <!-- Card 3 -->
            <div class="justify-start bg-[#EAF6F9] rounded shadow-md">
                <div class="px-6 py-4">
                    <div class="font-bold text-xl mb-2">Langkah 5</div>
                    <p class="text-gray-700 text-base">
                        Di langkah ini, dilakukan penambahan atau perbaruan data siswa.<br>
                        Unggah file yang seluruh atau sebagian data siswa. <br>
                        Web bisa memproses hingga <strong>900 baris</strong>, namun jika terdapat error, harap melakukan <strong>secara bertahap</strong> (misalnya 450 baris, kemudian upload lagi 450 baris).
                    </p>
                    <form action="{{ route('siswa.import') }}" method="post" enctype="multipart/form-data" class='my-2 ml-2 flex'>
                        @csrf
                        <input type="file" name="file" accept=".xlsx, .xls" class="mr-2">
                        <x-button.primary class="text-sm" type="submit">
                            Import (maks 8mb)
                        </x-button.primary>
                    </form>
                </div>
            </div>

            <div class="justify-start bg-[#EAF6F9] rounded shadow-md">
                <div class="px-6 py-4">
                    <div class="font-bold text-xl mb-2">Langkah 6</div>
                    <p class="text-gray-700 text-base">
                        Cetak laporan untuk dibagikan kepada siswa
                    </p>
                    <br>
                    <form action="{{ route('laporan.migrasi.lihat') }}" method="get" >
                        <div class="flex flex-row space-x-4">
                            <div class="flex-1 mb-4">
                                <label for="tingkat" class="block text-gray-700 text-sm font-bold mb-2">Tingkat:</label>
                                <select name="tingkat" id="tingkat" class="w-full border rounded-md px-4 py-2 focus:outline-none focus:ring-2 focus:ring-[#0087C1]">
                                    <option value="" @if(request('tingkat') == '') selected @endif>Semua Tingkat</option>
                                    @for ($i = 7; $i <= 9; $i++)
                                        <option value="{{ $i }}" @if(request('tingkat') == $i) selected @endif>{{ $i }}</option>
                                    @endfor
                                </select>
                            </div>

                            <div class="flex-1 mb-4">
                                <label for="kelas" class="block text-gray-700 text-sm font-bold mb-2">Kelas:</label>
                                <select name="kelas" id="kelas" class="w-full border rounded-md px-4 py-2 focus:outline-none focus:ring-2 focus:ring-[#0087C1]">
                                    <option value="" @if(request('kelas') == '') selected @endif>Semua Kelas</option>
                                    @foreach(range('A', 'H') as $kelasOption)
                                        <option value="{{ $kelasOption }}" @if(request('kelas') == $kelasOption) selected @endif>{{ $kelasOption }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div>
                            <x-button.primary type="submit">
                                Lihat
                            </x-button.primary>
                        </div>

                    </form>
                </div>
            </div>

        </div>


</x-layouts.pustakawan>
